
#ifndef LUBISHEV_COMMON_H
#define LUBISHEV_COMMON_H

#include <lubishev/Types.h>

#include <QColor>
#include <QPainter>

namespace lubishev {

const u16 LUBISHEV_MAX_STRLEN = 1024;

QString secondsToString(u32 s);
void setColor(QPainter &p, const QColor &color);
void setFontSize(QPainter &p, s32 size);
QString timeToString(time_t t);
QString vaToStr(const char *fmt, ...);

} // namespace lubishev

#endif // LUBISHEV_COMMON_H
        
